<?php

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

class AStat_Plugin
{ 
    var $my_config;
    var $list_periods = array('global', 'all', 'year', 'month', 'day');
    var $list_sortcat = array('page', 'picture', 'nbpicture');
    var $list_sortimg = array('picture', 'catname');
    var $list_sortip = array('page', 'picture', 'ip');

	/* initialise le tableau de configuration */
	function init_config()
	{
		$this->my_config=array(
			'AStat_BarColor_Pages' => '6666ff',
			'AStat_BarColor_Img' => '66ff66',
			'AStat_BarColor_IP' => 'ff6666',
			'AStat_MouseOverColor' => '303030',
			'AStat_NpIPPerPages' => '25',
			'AStat_NpCatPerPages' => '50',
			'AStat_MaxBarWidth' => '400',
			'AStat_default_period' => 'global',	//global, all, year, month, day
			'AStat_ShowThumbCat' => 'false',
			'AStat_DefaultSortCat' => 'page',	//page, picture, nbpicture
			'AStat_ShowThumbImg' => 'false',
			'AStat_DefaultSortImg' => 'picture',	//picture, catname
			'AStat_NbImgPerPages' => '100',
			// --- >> v1.2.1 >>
			'AStat_BarColor_Cat' => 'fff966',
			'AStat_DefaultSortIP' => 'page',		//page, ip, picture
			'AStat_SeeTimeRequests' => 'false'
			);

	}

	/* charge la configuration dans le fichier data.dat */
	function load_config()
	{
		$this->init_config();
		$sql="SELECT value FROM ".CONFIG_TABLE." WHERE param = 'AStat_config'";
		$result=pwg_query($sql);	   
		if($result)
	        {
			$row=mysql_fetch_row($result);
			if(is_string($row[0])) 
	            	{
				$c = unserialize($row[0]);
				reset($c);
				while (list($key, $val) = each($c)) 
	            		{ $this->my_config[$key] = $val; }
			}
	        }
	}

	/* sauvegarde de la configuration dans la table config */
	function save_config()
	{
	 $sql="REPLACE INTO ".CONFIG_TABLE." VALUES('AStat_config', '".serialize($this->my_config)."', '')"; 
	 $result=pwg_query($sql);
	 if($result) { return true; } else { return false; }
	}

	/* suppression de la configuration dans la table config */
	function delete_config()
	{
	 $sql="DELETE FROM ".CONFIG_TABLE." WHERE param='AStat_config'"; 
	 $result=pwg_query($sql);
	 if($result) { return true; } else { return false; }
	}

	/* intégration du plugin dans l'interface d'administration */
	function plugin_admin_menu($menu)
	{
	 array_push($menu,
	            array(
	                'NAME' => 'AStat',
	                'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/AStat_admin.php')
	                 ));
	 return $menu;
	}

	/* modifie la feuille de style pour affichage des stats */
	function Modifie_CSS()
	{
	  global $template;

	  $text = ".AStatBar1, .AStatBar2, .AStatBar3, .AStatBar4, .AStatBarX { 
			border:0px; 
			height:8px;
			display: block;
			margin:0px;
			padding:0px;
			left:0;
			position:relative;
			}
		   .AStatBar1 {	background-color:#".$this->my_config['AStat_BarColor_Pages']."; top:4px;  }
		   .AStatBar2 {	background-color:#".$this->my_config['AStat_BarColor_Img']."; top:-3px; }
		   .AStatBar3 {	background-color:#".$this->my_config['AStat_BarColor_IP']."; top:-3px;} 
		   .AStatBar4 {	background-color:#".$this->my_config['AStat_BarColor_Cat']."; top:-3px;} 
		   .AStatBarX {	background-color:none; top:-3px; height:1px; } 
		   .StatTableRow:hover { background-color:#".$this->my_config['AStat_MouseOverColor']."; }
		   .formtable, .formtable P { text-align:left; display:block; } 
		   .window_thumb {
			position:absolute;
			border: none;
			background: none;
			left:0;
			top:0;
			margin:0px;
			padding:0px;
			z-index:100;
			overflow:hidden;
			visibility:hidden; }	
		    .img_thumb {
			border: solid 3px #ffffff;
			background: #000000;
			margin:0px;
			padding:0px; }	
		    .time_request {
			font-size:83%;
			text-align:right; }
		    .invisible { visibility:hidden; display:none; }
		";	  
	  if($text!="")
	  {
	    $template->assign_block_vars('head_element', array('CONTENT' => '<style type="text/css"> '.$text.' </style>'));
	  }
	}
}


?>
